using System;
using System.Collections.Generic;
using System.Threading.Tasks;

internal sealed class Delegate655 : MulticastDelegate
{
	public extern Task Invoke(IEnumerable<Task> ienumerable_0);

	public static Task smethod_0(IEnumerable<Task> ienumerable_0, Delegate655 delegate655_1)
	{
		return delegate655_1(ienumerable_0);
	}

	public extern Delegate655(object object_0, IntPtr intptr_0);

	static Delegate655()
	{
		Class10.smethod_13(typeof(Delegate655).TypeHandle);
	}

	internal static Delegate655 delegate655_0;
}
